rio_dev_get
Prev | Functions | Next

## Name

rio_dev_get — Increments the reference count of the RIO device structure

## Synopsis

`struct rio_dev * rio_dev_get (` | struct rio_dev * | rdev`)`;

## Arguments

`rdev`

  RIO device being referenced

## Description

Each live reference to a device should be refcounted.

Drivers for RIO devices should normally record such references in their `probe` methods, when they bind to a device, and release them by calling `rio_dev_put`, in their `disconnect` methods.

## Description

Each live reference to a device should be refcounted.

Drivers for RIO devices should normally record such references in their `probe` methods, when they bind to a device, and release them by calling `rio_dev_put`, in their `disconnect` methods.

Prev | Up | Next
rio_set_drvdata | Home | rio_dev_put